Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkHedgeHog Class Reference

`#include <vtkHedgeHog.h>`

Inheritance diagram for vtkHedgeHog:

[legend]
Collaboration diagram for vtkHedgeHog:

[legend]
List of all members.

## Detailed Description

create oriented lines from vector data

Date:
  2002/01/22 15:29:23

Revision:
  1.34

vtkHedgeHog creates oriented lines from the input data set. Line length is controlled by vector (or normal) magnitude times scale factor. If VectorMode is UseNormal, normals determine the orientation of the lines. Lines are colored by scalar data, if available.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (55%)
  - Lorensen, Bill (20%)
  - Martin, Ken (9%)
  - Geveci, Berk (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkHedgeHog.cxx)`
  - .`h` (`/Graphics/vtkHedgeHog.h)`

Examples:
  vtkHedgeHog (Examples)

Tests:
  vtkHedgeHog (Tests)

Definition at line 55 of file vtkHedgeHog.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetScaleFactor (float)
virtual float | GetScaleFactor ()
virtual void | SetVectorMode (int)
virtual int | GetVectorMode ()
void | SetVectorModeToUseVector ()
void | SetVectorModeToUseNormal ()
const char * | GetVectorModeAsString ()
## Static Public Methods
vtkHedgeHog * | New ()
int | IsTypeOf (const char *type)
vtkHedgeHog * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkHedgeHog ()
| ~vtkHedgeHog ()
void | Execute ()
## Protected Attributes
float | ScaleFactor
int | VectorMode

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkHedgeHog::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 59 of file vtkHedgeHog.h.

## Constructor & Destructor Documentation

vtkHedgeHog::vtkHedgeHog | ( |  | ) | `[protected]`

vtkHedgeHog::~vtkHedgeHog | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkHedgeHog.h.

## Member Function Documentation

vtkHedgeHog* vtkHedgeHog::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkHedgeHog::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkHedgeHog::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkHedgeHog::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkHedgeHog* vtkHedgeHog::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkHedgeHog::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

virtual void vtkHedgeHog::SetScaleFactor | ( | float |  | ) | `[virtual]`

| Set scale factor to control size of oriented lines.

virtual float vtkHedgeHog::GetScaleFactor | ( |  | ) | `[virtual]`

| Set scale factor to control size of oriented lines.

virtual void vtkHedgeHog::SetVectorMode | ( | int |  | ) | `[virtual]`

| Specify whether to use vector or normal to perform vector operations.

virtual int vtkHedgeHog::GetVectorMode | ( |  | ) | `[virtual]`

| Specify whether to use vector or normal to perform vector operations.

void vtkHedgeHog::SetVectorModeToUseVector | ( |  | ) | `[inline]`

| Specify whether to use vector or normal to perform vector operations. Definition at line 72 of file vtkHedgeHog.h. References VTK_USE_VECTOR.

void vtkHedgeHog::SetVectorModeToUseNormal | ( |  | ) | `[inline]`

| Specify whether to use vector or normal to perform vector operations. Definition at line 73 of file vtkHedgeHog.h. References VTK_USE_NORMAL.

const char * vtkHedgeHog::GetVectorModeAsString | ( | void |  | ) | `[inline]`

| Return the vector mode as a character string. Definition at line 91 of file vtkHedgeHog.h. References VectorMode, VTK_USE_NORMAL, and VTK_USE_VECTOR.

void vtkHedgeHog::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkHedgeHog::ScaleFactor`[protected]`

| Definition at line 82 of file vtkHedgeHog.h.

int vtkHedgeHog::VectorMode`[protected]`

| Definition at line 83 of file vtkHedgeHog.h. Referenced by GetVectorModeAsString().

The documentation for this class was generated from the following file:

- Graphics/vtkHedgeHog.h